dofile("scripts/entities/entityinclude.lua")

n = 0

function init(me)
	n = getNaija()
end

function update(me, dt)
	if node_isEntityIn(me, n) then
		if not isForm(FORM_NATURE) then
			entity_damage(n, n, 0.5)
			entity_addVel(n, 0, 100)
			--entity_push(n, 0, 500, 1, 800, 0.25)
		end
	end
end
